Skip to main content
GET
/
files
Download a file
curl --request GET \
  --url https://{port}-{sandboxID}.e2b.app/files \
  --header 'X-Access-Token: <api-key>'
"<string>"

Authorizations

X-Access-Token
string
header
required

Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).

Query Parameters

path
string

Path to the file, URL encoded. Can be relative to user's home directory.

username
string

User used for setting the owner, or resolving relative paths.

signature
string

Signature used for file access permission verification.

signature_expiration
integer

Signature expiration used for defining the expiration time of the signature.

Response

Entire file downloaded successfully.

The file content